Bug 7354 - Can't edit local use system preferences
Summary: Can't edit local use system preferences
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: 3.6
Hardware: All All
: P5 - low critical (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL: /cgi-bin/koha/admin/systempreferences.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-14 06:39 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Add local use system preference (28.77 KB, image/png)
2011-12-14 06:39 UTC, Katrin Fischer
Details
Saved local use system preference (18.42 KB, image/png)
2011-12-14 06:39 UTC, Katrin Fischer
Details
Edit local use system preference (24.00 KB, image/png)
2011-12-14 06:39 UTC, Katrin Fischer
Details
Bug 7354: Can't edit local use system preferences (2.16 KB, patch)
2012-04-12 07:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7354: Can't edit local use system preferences (2.22 KB, patch)
2012-04-12 07:35 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-12-14 06:39:08 UTC
Created attachment 6768 [details]
Add local use system preference

At the moment it's not possible to edit local use system preferences. I will attach a set of screenshots to show the problem.

To reproduce:
1) Create a new local use system preference
2) Verify it shows up in the tab of local use preferences
3) Try to edit the system preference

Problem: All fields are shown as empty.
- explanation
- variable type
- variable options

Saving the system preference like this will delete those fields from the database.
Comment 1 Katrin Fischer 2011-12-14 06:39:28 UTC
Created attachment 6769 [details]
Saved local use system preference
Comment 2 Katrin Fischer 2011-12-14 06:39:49 UTC
Created attachment 6770 [details]
Edit local use system preference
Comment 3 Katrin Fischer 2012-04-12 07:02:16 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2012-04-12 07:35:01 UTC
Created attachment 9132 [details] [review]
Bug 7354: Can't edit local use system preferences

Fixes adding and editing of local use system preferences and redirects to correct
page after saving.

To test:
- Create a new local use system preference
- Edit an existing local use system preference from summary page
- Edit an existing local use system preference using 'Edit'
- Delete a local use system preference

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Marcel de Rooy 2012-04-16 08:28:14 UTC
QA Comment: Looks good to me. Works as advertised. No translation issues involved.
Passed QA
Comment 6 Jared Camins-Esakov 2012-05-24 00:58:53 UTC
This will be incorporated into 3.6.5.